(function() {
	tinymce.PluginManager.add('csw_tinymce_btn', function( editor, url ) {
		editor.addButton('csw_tinymce_btn', {
			icon: 'csw-mce-icon',
			onclick: function() {
				editor.windowManager.open( {
					title: 'Insert custom scrollbar box',
					body: [
						{
							type: 'textbox',
							name: 'barId',
							label: 'Scrollbar ID',
							value: '01'
						},
						{
							type: 'textbox',
							name: 'scwContent',
							label: 'Box text',
							value: 'Remove this text and use your content',
							multiline: true,
							minWidth: 600,
							minHeight: 180
						},						
						{
							type: 'textbox',
							name: 'barColor',
							label: 'Scrollbar Color',
							value: '#666'
						},
						{
							type: 'listbox',
							name: 'scrollBarWidth',
							label: 'Scrollbar Width',
							'values': [
								{text: '2px', value: '2px'},
								{text: '5px', value: '5px'},
								{text: '10px', value: '10px'},
								{text: '15px', value: '15px'}
							]
						},	
						{
							type: 'listbox',
							name: 'scrollBarRadius',
							label: 'Scrollbar Radius',
							'values': [
								{text: '0px', value: '0px'},
								{text: '5px', value: '5px'},
								{text: '10px', value: '10px'},
								{text: '15px', value: '15px'}
							]
						},	
						{
							type: 'textbox',
							name: 'barBorder',
							label: 'Scrollbar Border',
							value: '0px solid #666'
						},	
						{
							type: 'textbox',
							name: 'barHeight',
							label: 'Box Height',
							value: '250px'
						},						
						{
							type: 'listbox',
							name: 'scrollBarsettings',
							label: 'Scrollbar Autohide',
							'values': [
								{text: 'No', value: 'false'},
								{text: 'Yes', value: 'true'}
							]
						}						


					],
					onsubmit: function( e ) {
						editor.insertContent( '[cs id="' + e.data.barId + '" color="' + e.data.barColor + '" bar_width="' + e.data.scrollBarWidth + '" radius="' + e.data.scrollBarRadius + '" bar_border="' + e.data.barBorder + '" height="' + e.data.barHeight + '" auto_hide="' + e.data.scrollBarsettings + '"]' + e.data.scwContent + '[/cs]');
					}
				});
			}
		});
	});
})();